split.AffyBatch {affy} | R Documentation

## split an AffyBatch

### Description

split an AffyBatch

### Usage

    split.AffyBatch(x, f)

### Arguments

`x` | an AffyBatch
`f` | a factor or list of factors

### Details

This works just like the `split` function from base. Please refers ot its documentation to learn more about the parameter `f`.

### Value

A `list` of `AffyBatch` objects.

### See Also

`split`

### Examples

    data(affybatch.example)

    f <- factor(c("a", "a", "b"))

    s.a <- split(affybatch.example, f)

[Package Contents]